You are not logged in.

#201 2008-12-27 18:06:24

Anton_K
Member
Registered: 2008-10-05
Posts: 5

Re: Arch Linux and Splashy, a big update

georgia_tech_swagger wrote:

I just pushed out the very latest initscripts-splashy and splashy.   Enjoy.   Works great on my new Core i7 box.

I have a problem with this update. It seems that a shutdown-script kills Splashy too early at shutdown. So Splashy shows only a few "shutdown-messages" and then i see a black screen and "Acpid: exiting" for a few seconds before the PC goes down. I think the last splashy-message is "Sending SIGTERM To Processes" or "Sending SIGKILL To Processes".  Before this update splashy showed all messages (like "Deactivating Swap", "Unmounting Filesystems" and so on).

Sorry for my bad english.

Offline

#202 2008-12-27 20:15:38

hash
Member
From: Poland
Registered: 2008-07-31
Posts: 109

Re: Arch Linux and Splashy, a big update

Anton_K wrote:
georgia_tech_swagger wrote:

I just pushed out the very latest initscripts-splashy and splashy.   Enjoy.   Works great on my new Core i7 box.

I have a problem with this update. It seems that a shutdown-script kills Splashy too early at shutdown. So Splashy shows only a few "shutdown-messages" and then i see a black screen and "Acpid: exiting" for a few seconds before the PC goes down. I think the last splashy-message is "Sending SIGTERM To Processes" or "Sending SIGKILL To Processes".  Before this update splashy showed all messages (like "Deactivating Swap", "Unmounting Filesystems" and so on).

Sorry for my bad english.

I haven't checked splashy during shutdown, but now i did it and i can confirm this problem.

Last edited by hash (2008-12-27 20:18:15)

Offline

#203 2009-01-03 11:26:32

adamruss
Member
Registered: 2008-01-17
Posts: 142

Re: Arch Linux and Splashy, a big update

i have a few questions...

1. some of the pkg's in aur are not up to date? like directfb, i updated to 1.3 and i fixed splashy.initcpio_install is that ok?
2. initscript-splashy - i tried the patched 200.08 from here, and i tried 2008.09 from aur, none of them seem to make the shutdown/reboot work. - am i missing somthing?
3. on boot.. what can i press if i want to see the console? (i tried tab and esc no good...)

thanks!


CPU: MacBook Pro 5,5
TB: OSX 10.6 / Windows 7 / Ubuntu 9.10

Offline

#204 2009-01-06 02:30:26

ilembitov
Member
Registered: 2008-10-07
Posts: 124

Re: Arch Linux and Splashy, a big update

Any ideas when will this finally get official support?

Offline

#205 2009-01-06 03:51:27

Zerathidune
Member
Registered: 2007-02-25
Posts: 101

Re: Arch Linux and Splashy, a big update

does the current implementation still depend on a patched killall5? That's the main reason I haven't tried this myself. I feel like there has to be a better way of accomplishing this. My suspicion is it won't recieve offical support until it can be done cleanly.

Offline

#206 2009-01-11 08:45:16

deltaecho
Member
From: Seattle, Washington (USA)
Registered: 2008-08-06
Posts: 182

Re: Arch Linux and Splashy, a big update

Has anybody gotten Splashy to ask for their LUKS encryption password at boot?  With me, it just prints a message that it is unlocking my encrypted volumes, but doesn't ask for a password, and errors out and stalls when it tries to continue booting.  Maybe it has an issue with LUKS+LVM?

/etc/rc.conf:

deltaecho wrote:

...
MOD_AUTOLOAD="yes"                                                             
MODULES=(aes-x86-64 dm-crypt dm-mod r8169 !asus-acpi asus-laptop fuse acpi-cpufreq cpufreq_ondemand cpufreq_powersave loop vboxdrv)

# Scan for LVM volume groups at startup, required if you use LVM
USELVM="yes"
...
SPLASH="splashy"

/etc/crypttab:

deltaecho wrote:

swap            /dev/arch/swap          SWAP                    -c aes-xts-plain -h whirlpool -s 512
home            /dev/arch/home          ASK

/etc/mkinitcpio.conf:

deltaecho wrote:

...
HOOKS="autodetect base udev sata keymap encrypt lvm2 filesystems splashy"
...

/etc/splashy/config.xml:

deltaecho wrote:

<?xml version="1.0" encoding="UTF-8"?>
<!-- Automatically generated by splashy_config. Do not edit -->
<splashy>
    <!-- themes directory: conventional path /usr/share/splashy/themes -->
    <themes>/usr/share/splashy/themes</themes>
    <!-- current theme could be relative the themes defined above or full path -->
    <current_theme>archlinux-simplyblack</current_theme>
    <!-- full path to theme to fall back in case of problems. DO NOT CHANGE -->
    <default_theme>/usr/share/splashy/themes/default</default_theme>
    <pid>/etc/splashy/splashy.pid</pid>
    <!-- to turn off verbose mode if there is an error during boot-up -->
    <autoverboseonerror>no</autoverboseonerror>
</splashy>


Dylon

Offline

#207 2009-01-13 20:04:54

fettouhi
Member
Registered: 2007-05-07
Posts: 673

Re: Arch Linux and Splashy, a big update

adamruss wrote:

i have a few questions...

1. some of the pkg's in aur are not up to date? like directfb, i updated to 1.3 and i fixed splashy.initcpio_install is that ok?
2. initscript-splashy - i tried the patched 200.08 from here, and i tried 2008.09 from aur, none of them seem to make the shutdown/reboot work. - am i missing somthing?
3. on boot.. what can i press if i want to see the console? (i tried tab and esc no good...)

thanks!

For me at least initscript-splashy worked fine at shutdown with splashy 0.3.11. But I'm seeing the same thing at reboot/shutdown as mentioned earlier with latest initscript-splashy and splashy.

Regards

André

Last edited by fettouhi (2009-01-13 20:05:50)

Offline

#208 2009-01-24 12:41:00

na12
Member
From: /home/serbia
Registered: 2008-12-23
Posts: 749

Re: Arch Linux and Splashy, a big update

Anton_K wrote:
georgia_tech_swagger wrote:

I just pushed out the very latest initscripts-splashy and splashy.   Enjoy.   Works great on my new Core i7 box.

I have a problem with this update. It seems that a shutdown-script kills Splashy too early at shutdown. So Splashy shows only a few "shutdown-messages" and then i see a black screen and "Acpid: exiting" for a few seconds before the PC goes down. I think the last splashy-message is "Sending SIGTERM To Processes" or "Sending SIGKILL To Processes".  Before this update splashy showed all messages (like "Deactivating Swap", "Unmounting Filesystems" and so on).

Sorry for my bad english.

same thing,but I not see splashy on suspend and resume also

Last edited by na12 (2009-01-24 13:28:28)

Offline

#209 2009-01-31 07:49:02

fettouhi
Member
Registered: 2007-05-07
Posts: 673

Re: Arch Linux and Splashy, a big update

Any update to 2009.01 coming soon?

Regards

André

Offline

#210 2009-01-31 08:00:56

adamruss
Member
Registered: 2008-01-17
Posts: 142

Re: Arch Linux and Splashy, a big update

you can do it your self you know...

# Contributor: Lexiw <llexiw@gmail.com>
# Contributor: Jeremy Sands <cto@jeremysands.com>

pkgname=initscripts-splashy
pkgver=2009.01
pkgrel=1
pkgdesc="System initialization/bootup scripts with splash support"
arch=('i686' 'x86_64')
url="http://www.archlinux.org"
license=('GPL')
groups=('base')
backup=(etc/inittab etc/rc.conf etc/rc.local etc/rc.local.shutdown)
depends=('glibc' 'bash' 'awk' 'grep' 'coreutils' 'sed' 'udev>=118' 'net-tools' 'ncurses' 'sysvinit-mod')
provides=('initscripts')
conflicts=('initscripts')
install=initscripts-splash.install
source=(ftp://ftp.archlinux.org/other/initscripts/initscripts-${pkgver}.tar.gz
#    rc.shutdown-splash.patch
#    functions-splash.patch
    splash.conf
    splash)
md5sums=('b947f3efd5d4681459fe8073d610f1b5'
#     'dc3248008da3e9d9a4504cac918cfebe'
#     'b3ccfc3d4dac3614980ce1f5515e3d46'
     'fe6da7a9242aca91779e165979bb7e3d'
         'd3fffe7133e6096937195084d2746889')

build() {
  cd ${startdir}/src/initscripts-${pkgver}/

#  patch -Np1 -i ${startdir}/src/rc.shutdown-splash.patch || return 1
#  patch -Np1 -i ${startdir}/src/functions-splash.patch || return 1

  DESTDIR=$startdir/pkg ./install.sh

  install -D -m644 ${startdir}/splash ${startdir}/pkg/etc/rc.d/functions.d/splash
  install -D -m644 ${startdir}/splash.conf ${startdir}/pkg/etc/splash.conf
}

Last edited by adamruss (2009-01-31 08:01:52)


CPU: MacBook Pro 5,5
TB: OSX 10.6 / Windows 7 / Ubuntu 9.10

Offline

#211 2009-01-31 10:08:54

hash
Member
From: Poland
Registered: 2008-07-31
Posts: 109

Re: Arch Linux and Splashy, a big update

adamruss wrote:

you can do it your self you know...

So now it doesn't need any patches? Because as i've noticed they are all commented out in the PKGBUILD you posted.

Offline

#212 2009-02-02 04:53:45

Maskawanian
Member
Registered: 2009-01-06
Posts: 29

Re: Arch Linux and Splashy, a big update

Hi all,

When I try to install Splashy it installs and it does show on boot. Unfortunately it never goes away and the progress bar doesn't move at all. Does anyone know where I should begin troubleshooting?

Offline

#213 2009-02-06 22:44:24

ro0x
Member
From: Santiago, Chile
Registered: 2004-06-20
Posts: 79

Re: Arch Linux and Splashy, a big update

any chance to use exquisite from e17 instead of splashy?

Offline

#214 2009-02-10 14:33:22

fettouhi
Member
Registered: 2007-05-07
Posts: 673

Re: Arch Linux and Splashy, a big update

Maskawanian wrote:

Hi all,

When I try to install Splashy it installs and it does show on boot. Unfortunately it never goes away and the progress bar doesn't move at all. Does anyone know where I should begin troubleshooting?

Take a look in the wiki.

http://wiki.archlinux.org/index.php/Splashy

See if you missed something.

Regards

André

Offline

#215 2009-02-10 14:35:37

fettouhi
Member
Registered: 2007-05-07
Posts: 673

Re: Arch Linux and Splashy, a big update

adamruss wrote:

you can do it your self you know...

Tried that and it didn't work at all. I made exactly the same changes as you did and after install and reboot my machine wouldn't boot at all. for some reason it hadn't installed any of the new files only removed the old ones.

Regards

André

Offline

#216 2009-02-15 07:11:33

georgia_tech_swagger
Member
From: Upstate, SC
Registered: 2008-07-02
Posts: 138
Website

Re: Arch Linux and Splashy, a big update

I just pushed an update out.   Give the updated version a try.


Res Publica Non Dominetur

Laptop:  Arch x86 | Thinkpad X220 | Core i5 2410-M | 8 GB DDR3 | Sandy Bridge
Desktop:  Arch x86_64 | Custom | Core i7 920 | 6 GB DDR3 | GeForce 260 GTX

Offline

#217 2009-02-15 08:10:49

fettouhi
Member
Registered: 2007-05-07
Posts: 673

Re: Arch Linux and Splashy, a big update

Nice, many thanks smile. Shutdown still doesn't work right, i.e. the shutdown screen disappears very quickly.

Regards

André

Offline

#218 2009-02-23 03:08:27

Maskawanian
Member
Registered: 2009-01-06
Posts: 29

Re: Arch Linux and Splashy, a big update

fettouhi wrote:

Nice, many thanks smile. Shutdown still doesn't work right, i.e. the shutdown screen disappears very quickly.

Regards

André

Same, though, arch does shut down very quickly anyway.

Offline

#219 2009-02-23 05:19:28

CheesyBeef
Member
Registered: 2008-06-04
Posts: 190

Re: Arch Linux and Splashy, a big update

This worked perfectly for me big_smile

Just followed the wiki, removed sysvinit and initscripts, and made sure my rc.conf.packsave and inittab.pacsave were reinitiated.

I appreciate all the work you have done here.

Offline

#220 2009-02-23 07:05:59

adamruss
Member
Registered: 2008-01-17
Posts: 142

Re: Arch Linux and Splashy, a big update

georgia_tech_swagger wrote:

I just pushed an update out.   Give the updated version a try.

why is splashy not up to date on the repo? is there a problem with 0.3.13?


CPU: MacBook Pro 5,5
TB: OSX 10.6 / Windows 7 / Ubuntu 9.10

Offline

#221 2009-02-26 00:34:18

Maskawanian
Member
Registered: 2009-01-06
Posts: 29

Re: Arch Linux and Splashy, a big update

So freetype2-static was disowned, I updated the pkgbuild to 2.3.8-1 and took over the package. As libxfont can't be upgraded without it.

http://aur.archlinux.org/packages.php?ID=18319

Offline

#222 2009-05-04 01:20:07

superrad
Member
From: Wales
Registered: 2007-12-15
Posts: 60

Re: Arch Linux and Splashy, a big update

works great, except for one thing. When booting up it gets about half way through then says something like "something failed, killing splashy" where is the log where I can find out what failed and if there was any error messages (it goes by too fast so can't see what it is)

Offline

#223 2009-05-30 17:38:37

sDoky
Member
From: Brno, Czech Republic
Registered: 2008-09-24
Posts: 183

Re: Arch Linux and Splashy, a big update

Hi guys, what am I doing wrong?

[sdoky@sdoky-laptop initscripts-2009.03-2]$ yaourt -S aur/splashy
==> Resuming previous build

==> Downloading splashy PKGBUILD from AUR...
==> Last 5 comments ordered by date (asc):

Comment by: blucidy on Tue, 04 Nov 2008 12:26:07 +0000
0.3.12 is out

Comment by: Musikolo on Sat, 13 Dec 2008 11:45:22 +0000
Hi, I think it would be really useful to print a message after installation telling to visit the next link for configuration details:
http://wiki.archlinux.org/index.php/Splashy
Although I don't discard I might a bit mentally slow, the above message (link) would have saved me quite a lot of try and error tests.
Anyway, thanks for your work and time.
Regards! :-)

Comment by: gt_swagger on Sat, 27 Dec 2008 02:44:26 +0000
Release 0.3.13-1:
- Added post install directing users to wiki
- Update from upstream

Comment by: lol2Fast4U on Sat, 10 Jan 2009 21:42:58 +0000
not working!
'pod2man: command not found' and the bulid is failed!
'whereis pod2man' - i see only man page for this, no binary. there is no pod2man packages in AUR and official repos.

Comment by: jarryson on Tue, 17 Mar 2009 05:15:20 +0000
kernel2.6.29 rc8 , makepkg faild, and i tried git version, the same error
(cd .libs && rm -f libsplashycnf.so && ln -s libsplashycnf.so.1.0.0 libsplashycnf.so)
/usr/bin/ld: cannot find -lsplashycnf
collect2: ld returned 1 exit status
make[2]: PKGBUILD aurpage comments splashy-functions splashy.initcpio_hook splashy.initcpio_install splashy.install [libsplashy.la] Error 1
make[2]: PKGBUILD aurpage comments splashy-functions splashy.initcpio_hook splashy.initcpio_install splashy.install Waiting for unfinished jobs....

    
      First Submitted: Wed, 04 Apr 2007 08:27:39 +0000    
splashy 0.3.13-1 : A next-generation user-space boot splashing system for Linux systems
( Unsupported package: Potentally dangerous ! )
no configuration found for splashy in /etc/customizepkg.d/
==>  Edit the PKGBUILD (highly recommended for security reasons) ? [Y/n]("A" to abort)
==>   ----------------------------------------------
==>n


==> splashy dependencies:
 - file (already installed)
 - glib2 (already installed)
 - initscripts-splashy (building from AUR)
 - directfb (already installed)
 - perl (already installed)
 - pkgconfig (already installed)
 - procps (already installed)
 - gcc (already installed)
 - make (already installed)

==> WARNING: This PKGBUILD contains install file that can be dangerous.
splashy.install
==>  Edit splashy.install (highly recommended for security reasons) ? [Y/n] ("A" to abort)
==>   ----------------------------------------------
==>n

==>  Continue the building of splashy ? [Y/n]
==>   ----------------------------------------------
==>y

==> Building missing dependencies from AUR:
==> Resuming previous build

==> Downloading initscripts-splashy PKGBUILD from AUR...
==> Last 5 comments ordered by date (asc):

Comment by: fettouhi on Mon, 16 Mar 2009 19:53:21 +0000
OK, so the splash screen at shutdown works again?
Regards
Andr

Comment by: fettouhi on Mon, 30 Mar 2009 13:24:55 +0000
Any chance for an update anytime soon?
Regards
Andr

Comment by: fettouhi on Thu, 09 Apr 2009 09:21:29 +0000
Did a manually update of this package myself and it works fine with initscripts-2009.03-2 but shutdown still shows the same behaviour.
Regards
Andr

Comment by: gt_swagger on Mon, 27 Apr 2009 06:14:20 +0000
initscripts-splashy 2009.03-2 ChangeLog:
- Update from upstream

Comment by: Lagnus on Mon, 18 May 2009 14:11:48 +0000
Wouldn't it be better to simply use the line: replaces=('initscripts')? Rather than having to pacman -Rd and then pacman -U the built package manually.

    
      First Submitted: Fri, 05 Sep 2008 19:54:49 +0000    
initscripts-splashy 2009.03-2 : System initialization\/bootup scripts with splash support
( Unsupported package: Potentally dangerous ! )
no configuration found for initscripts-splashy in /etc/customizepkg.d/
==>  Edit the PKGBUILD (highly recommended for security reasons) ? [Y/n]("A" to abort)
==>   ----------------------------------------------
==>y

Please add EDITOR to your environment variables
for example:
==>  Edit PKGBUILD with:(replace gvim with your favorite editor)

==> Edit ./PKGBUILD with:vi

==> initscripts-splashy dependencies:
 - glibc (already installed)
 - bash (already installed)
 - awk (package that provides awk already installed)
 - grep (already installed)
 - coreutils (already installed)
 - sed (already installed)
 - udev (already installed)
 - net-tools (already installed)
 - ncurses (already installed)
 - sysvinit-mod (already installed)
==>  Edit the PKGBUILD (highly recommended for security reasons) ? [Y/n]("A" to abort)
==>   ----------------------------------------------
==>n


==> WARNING: This PKGBUILD contains install file that can be dangerous.
initscripts-splash.install
==>  Edit initscripts-splash.install (highly recommended for security reasons) ? [Y/n] ("A" to abort)
==>   ----------------------------------------------
==>n

==>  Continue the building of initscripts-splashy ? [Y/n]
==>   ----------------------------------------------
==>y


==> Building and installing package
==> Making package: initscripts-splashy 2009.03-2 i686 (Sat May 30 19:32:46 CEST 2009)
==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
  -> Downloading initscripts-2009.03-2.tar.gz...
--2009-05-30 19:32:46--  ftp://ftp.archlinux.org/other/initscripts/initscripts-2009.03-2.tar.gz
           => `initscripts-2009.03-2.tar.gz.part'
Resolving ftp.archlinux.org... 209.85.41.145, 209.85.41.144
Connecting to ftp.archlinux.org|209.85.41.145|:21... failed: Connection timed out.
Connecting to ftp.archlinux.org|209.85.41.144|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /other/initscripts ... done.
==> SIZE initscripts-2009.03-2.tar.gz ... 12066
==> PASV ... done.    ==> RETR initscripts-2009.03-2.tar.gz ... done.
Length: 12066 (12K)

100%[==================================================================================>] 12,066      37.7K/s   in 0.3s    

2009-05-30 19:35:57 (37.7 KB/s) - `initscripts-2009.03-2.tar.gz.part' saved [12066]

  -> Found splash.conf in build dir
  -> Found splash in build dir
==> WARNING: Integrity checks (md5) are missing or incomplete.
==> Extracting Sources...
  -> bsdtar -x -f initscripts-2009.03-2.tar.gz
==> Entering fakeroot environment...
==> Starting build()...
minilogd.c:16:1: warning: "__USE_BSD" redefined
In file included from /usr/include/errno.h:29,
                 from minilogd.c:8:
/usr/include/features.h:282:1: warning: this is the location of the previous definition
==> Tidying install...
  -> Compressing man pages...
  -> Stripping debugging symbols from binaries and libraries...
==> Creating package...
  -> Generating .PKGINFO file...
  -> Adding install script...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: initscripts-splashy 2009.03-2 i686 (Sat May 30 19:35:58 CEST 2009)

==>  Continue installing initscripts-splashy? [Y/n]
==>  [v]iew package contents [c]heck package with namcap
==>   ----------------------------------------------
==>y

Password: 
loading package data...
checking dependencies...
error: replacing packages with -U is not supported yet
error: you can replace packages manually using -Rd and -U
error: failed to prepare transaction (conflicting dependencies)
:: initscripts-splashy: conflicts with initscripts-splash
==> WARNING: Your package is saved in /tmp/yaourt-tmp-sdoky/initscripts-splashy-2009.03-2-i686.pkg.tar.gz
cp: overwrite `/tmp/yaourt-tmp-sdoky/initscripts-splashy-2009.03-2-i686.pkg.tar.gz'? y

==> Checking vote status for initscripts-splashy
You have to create ~/.aurvote with inside: user=YOUR_AUR_USERNAME pass=YOUR_AUR_PASS To create a new account just go to: http://aur.archlinux.org/account.php


[sdoky@sdoky-laptop initscripts-2009.03-2]$

Linux!

Offline

#224 2009-05-30 22:31:53

randomguy
Member
Registered: 2007-06-19
Posts: 78

Re: Arch Linux and Splashy, a big update

Read the error output:

error: replacing packages with -U is not supported yet
error: you can replace packages manually using -Rd and -U

Remove your installed splashy package first, then build again.

Offline

#225 2009-05-31 06:03:04

sDoky
Member
From: Brno, Czech Republic
Registered: 2008-09-24
Posts: 183

Re: Arch Linux and Splashy, a big update

randomguy wrote:

Read the error output:

error: replacing packages with -U is not supported yet
error: you can replace packages manually using -Rd and -U

Remove your installed splashy package first, then build again.

Thanks, that helped... my bad


Linux!

Offline

Board footer

Powered by FluxBB